cURL
curl --request GET \ --url https://api.cartesia.ai/agents/templates \ --header 'Authorization: Bearer <token>' \ --header 'Cartesia-Version: <cartesia-version>'
{ "templates": [ { "id": "<string>", "name": "<string>", "repo_url": "<string>", "root_dir": "<string>", "owner_id": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "description": "<string>", "required_env_vars": [ "<string>" ], "dependencies": [ "<string>" ] } ] }
List of public, Cartesia-provided agent templates to help you get started.
An Access Token
API version header. Must be set to the API version, e.g. '2024-06-10'.
2024-06-10
2024-11-13
2025-04-16
"2025-04-16"
List of agent templates.
Show child attributes
The ID of the agent template.
The name of the agent template.
The URL of the Git repository associated with the agent template.
The root directory of the agent template.
The ID of the owner of the agent template.
The UTC timestamp when the agent template was created.
The UTC timestamp when the agent template was last updated.
The description of the agent template.
The required environment variables for the agent template.
The dependencies of the agent template.